[![Pyversions](https://img.shields.io/pypi/pyversions/linkml_model.svg)](https://pypi.python.org/pypi/linkml_model)
![](https://github.com/linkml/linkml-model/workflows/Build/badge.svg)
[![PyPi](https://img.shields.io/pypi/v/linkml_model.svg)](https://pypi.python.org/pypi/linkml_model)
[![DOI](https://zenodo.org/badge/13996/linkml/linkml-model.svg)](https://zenodo.org/badge/latestdoi/13996/linkml/linkml-model)


# LinkML Model

Metamodel schema, documentation, and specification for the Linked Open Data Modeling Language (LinkML)

This documentation is best viewed view the generated web documentation

- [https://w3id.org/linkml/](https://linkml.github.io/linkml-model/docs)

## Quick Links

- [Generated documentation](https://linkml.github.io/linkml-model/docs)
- [Specification](https://linkml.io/linkml-model/docs/specification/00preamble/)
- [Source YAML for metamodel](https://github.com/linkml/linkml-model/tree/main/linkml_model/model/schema)
- [Main LinkML site](https://linkml.io)

## About LinkML

LinkML is a modeling framework for building datamodels and related applications.

The best place to start discovering more about linkml is on the main LinkML website, [linkml.io/linkml](https://linkml.io/linkml)

LinkML is self-describing, and the underlying datamodel for describing data models is in LinkML. This repository contains that data model

## For Developers

See the [contributing docs](https://linkml.io/linkml/contributing/contributing.html)

### Installation

This project uses poetry:

```bash
> cd linkml-model
> poetry install
```

## Running tests

```bash
> make test
```
